Bug 45553 - New RTF import filter deletes gaps between paragraphs
Summary: New RTF import filter deletes gaps between paragraphs
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:3.5.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-02-02 09:06 UTC by Mateusz
Modified: 2012-03-21 15:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
RTF imported in LibO 3.5 with new errors (52.97 KB, application/download)
2012-02-02 09:06 UTC, Mateusz
Details
RTF imported in LibO 3.4 (correctly, with gaps) (52.98 KB, application/download)
2012-02-02 09:08 UTC, Mateusz
Details
RTF source file (10.94 KB, application/rtf)
2012-02-02 09:09 UTC, Mateusz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz 2012-02-02 09:06:37 UTC
Created attachment 56538 [details]
RTF imported in LibO 3.5 with new errors

This bug was found by friend but he doesn't speak English at all so I post this issue on my account

3.4 keeps all gaps, but in 3.5 text is solid and without spaces.

Attached RTF file was generated by external software.
Comment 1 Mateusz 2012-02-02 09:08:21 UTC
Created attachment 56539 [details]
RTF imported in LibO 3.4 (correctly, with gaps)
Comment 2 Mateusz 2012-02-02 09:09:22 UTC
Created attachment 56540 [details]
RTF source file
Comment 3 s-joyemusequna 2012-02-02 09:51:54 UTC
I confirm the error with LibO 3.5 Beta2 on Windows XP and Windows Vista 64. Space before and after paragraphs is zero (nor so with Word 2007 and LibO 3.4.5). This is a regression.
Comment 5 Not Assigned 2012-02-16 03:59:02 UTC
Miklos Vajna commited a patch related to this issue to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e21cd8ac21062485bc36f63998d2b15674c71a89&g=libreoffice-3-5

fdo#45553 fix RTF import of space-before/after tokens


It will be available in LibreOffice 3.5.1.
Comment 6 Markus Mohrhard 2012-02-16 04:18:54 UTC
Sorry for the mistake, just fixed the error in the script.
Comment 7 Jean-Baptiste Faure 2012-03-21 15:22:25 UTC
Fix confirmed in LO 3.5.1 and LO 3.5.2. Closing. Thank you.